> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lehar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List calls

> Scope `sessions:read`.



## OpenAPI

````yaml /api-reference/openapi.json get /calls
openapi: 3.1.0
info:
  title: Lehar API
  version: v0
  description: >-
    Customer-facing REST API for the Lehar voice-AI platform. Platform-admin
    endpoints are intentionally excluded from this reference. Regenerate with
    `npm run sync:openapi`.
servers:
  - url: https://api.lehar.ai/ca/api/v0
security:
  - ApiKeyAuth: []
  - BearerAuth: []
paths:
  /calls:
    get:
      tags:
        - Calls
      summary: List calls
      description: Scope `sessions:read`.
      operationId: list_calls_ca_api_v0_calls_get
      parameters:
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - queued
              - scheduled
              - dialing
              - in_progress
              - completed
              - failed
              - cancelled
        - name: agent_id
          in: query
          required: false
          schema:
            type: string
        - name: created_from
          in: query
          required: false
          schema:
            type: string
          description: ISO timestamp lower bound.
        - name: created_to
          in: query
          required: false
          schema:
            type: string
          description: ISO timestamp upper bound.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 20
            maximum: 100
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
      responses:
        '200':
          description: Paginated calls
          content:
            application/json:
              example:
                data:
                  - call_id: call_01EXAMPLE
                    agent_id: agent_sales_hi
                    status: completed
                    outcome: completed
                    to_number_masked: +9198****3210
                    attempt_count: 1
                    session_id: session_01EXAMPLE
                pagination:
                  limit: 20
                  offset: 0
                  total: 1
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
    BearerAuth:
      type: http
      scheme: bearer

````